

wget -c https://zenodo.org/records/13271946/files/gamma-diffuse_00.dl2.h5 
wget -c https://zenodo.org/records/13271946/files/proton_00.dl2.h5

PYTHON="python"
#PYTHON=/opt/conda/envs/stereo/bin/python

{
$PYTHON scripts/script_produce_graphs.py -f gamma-diffuse_00.dl2.h5 -o gamma-diffuse_00.graphs -c config/test_config_energy.yml --overwrite
$PYTHON scripts/script_produce_graphs.py -f proton_00.dl2.h5 -o proton_00.graphs -c config/test_config_energy.yml --overwrite
$PYTHON scripts/train.py -c ./config/test_config_energy.yml --debug --gamma_file gamma-diffuse_00.graphs --overwrite
$PYTHON scripts/train.py -c ./config/test_config_dir.yml --debug --gamma_file gamma-diffuse_00.graphs --overwrite
$PYTHON scripts/train.py -c ./config/test_config_class.yml --debug --gamma_file gamma-diffuse_00.graphs --proton_file proton_00.graphs --overwrite

$PYTHON scripts/inference.py -c ./config/test_config_dir.yml -ckpt tests/test_dir/best-checkpoint.ckpt --overwrite --gamma_test gamma-diffuse_00.graphs  --debug
$PYTHON scripts/inference.py -c ./config/test_config_energy.yml -ckpt tests/test_energy/best-checkpoint.ckpt --overwrite --gamma_test gamma-diffuse_00.graphs --debug
$PYTHON scripts/inference.py -c ./config/test_config_class.yml -ckpt tests/test_class/best-checkpoint.ckpt --overwrite --gamma_test gamma-diffuse_00.graphs --proton_test proton_00.graphs --debug

$PYTHON scripts/script_plot_performances.py -f tests/test_energy/dl2_energy_test.h5 -o tests/energy.png --overwrite -e 
$PYTHON scripts/script_plot_performances.py -f tests/test_class/dl2_class_test.h5 -o tests/class.png --overwrite -c
$PYTHON scripts/script_plot_performances.py -f tests/test_dir/dl2_direction_test.h5 -o tests/direction.png --overwrite -d

} || exit 1
