# Configuration Example

The following is an example configuration file:

**Note :**

- The dataset is large and may require significant resources. You can reduce its size by selecting only the telescopes you want to use and removing the ones you don’t need.
- The number of events can also be limited by setting a desired value for `max_events`.
- For better results, if you have sufficient resources, you can set `max_events` to null to train on the entire dataset and use all available telescopes.

~~~yaml
{% include "../config/config_energy.yml" %}
~~~