# Installation

Follow these steps to install the project and its dependencies:

1. **Clone the repository**:

```bash
git clone https://gitlab.in2p3.fr/gammalearn/gammana/stereograph.git && cd stereograph
```

2. **Create a virtual environment**:
The use of [`micromamba`](https://mamba.readthedocs.io/en/latest/installation/micromamba-installation.html) is 
recommended. Create an environment for stereograph, for instance:

```bash
micromamba create -n stereograph -c conda-forge "python<3.11"
```

3. **Install the package with the dependencies required for your use case**:

- Use stereograph: `pip install .`
- Run stereograph tests: `pip install .[tests]`
- Build stereograph documentation: `pip intall .[docs]`
- Develop stereograph (all dependencies): `pip install -e .[all]`
